Skip to main content
`Ctrl`+`K`

# MFNMonitorRegisterFn

A function prototype for functions provided to `MFNMonitorRegister()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode MFNMonitorRegisterFn(MFN mfn,PetscInt its,PetscReal errest,PetscViewerAndFormat *ctx);

## Calling Sequence

- mfn - the matrix function solver context

- its - iteration number

- errest - error estimate

- ctx - `PetscViewerAndFormat` object

## Note

This is an `MFNMonitorFn` specialized for a context of `PetscViewerAndFormat`.

## See Also

MFN: Matrix Function, `MFNMonitorSet()`, `MFNMonitorRegister()`, `MFNMonitorFn`, `MFNMonitorRegisterCreateFn`, `MFNMonitorRegisterDestroyFn`

## Level

advanced

## Location

include/slepcmfn.h

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages